Bug 150506 - CAN-2005-0664 buffer overflow in libexif
CAN-2005-0664 buffer overflow in libexif
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libexif (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Matthias Clasen
impact=low,public=20040303,source=ven...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 15:49 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-20 17:28:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-07 15:49:13 EST
+++ This bug was initially created as a clone of Bug #150503 +++

Ubuntu alerted vendor-sec to a buffer overflow reported to their BTS regarding
processing exif headers with libexif.

See:
https://bugzilla.ubuntulinux.org/show_bug.cgi?id=7152
http://sourceforge.net/tracker/index.php?func=detail&aid=1158402&group_id=12272&atid=312272

The sourceforge bug suggests this is only a DoS.
Comment 1 Josh Bressers 2005-03-07 15:51:37 EST
This issue should also affect FC2
Comment 2 Matthias Clasen 2005-03-14 09:48:35 EST
Marco built and pushed libexif-0.5.12-3.1 with the fix.
Comment 3 Mark J. Cox (Product Security) 2005-03-20 17:28:41 EST
      CAN-2005-0664 Probably Affects: FC2 [#150506:MODIFIED] -> 2005-199 20050308
      CAN-2005-0664 Probably Affects: FC3 [#150506:MODIFIED] -> 2005-200 20050308

Note You need to log in before you can comment on or make changes to this bug.